% Clear file
fid = fopen("extra-labels.csv", "w");
fclose(fid);

fid = fopen("extra-labels.csv", "a");
digitStruct = load('extra-digitStruct.mat');

items = digitStruct.digitStruct;

array = ["name", "height", "left", "top", "width", "label"];
str = join(array,", ");
fprintf(fid, str);
fprintf(fid, "\n");

for item_idx = 1:numel(items)
    item = items(item_idx);
    for bbox_idx = 1:numel(item.bbox)
        bbox = item.bbox(bbox_idx);
        array = [item.name, string(bbox.height), string(bbox.left), string(bbox.top), string(bbox.width), string(bbox.label)];
        str = join(array,", ");
        fprintf(fid, str);
        fprintf(fid, "\n");
    end
end
fclose(fid);